ARES_SET_LOCAL_IP6(3)

NAME
ares_set_local_ip6 - Set local IPv6 address outgoing requests.

SYNOPSIS
#include <ares.h>

void ares_set_local_ip6(ares_channel_t *channel, const unsigned char* local_ip6)

DESCRIPTION
The ares_set_local_ip6 function sets the IPv6 address for outbound IPv6 requests. The parameter local_ip6 is specified in network byte order. This allows users to specify outbound interfaces when used on multi-homed systems. The local_ip6 argument must be 16 bytes in length.

SEE ALSO
ares_set_local_ip4(3)

NOTES
This function was added in c-ares 1.7.4

AUTHOR
Ben Greear